[arch-commits] Commit in haskell-unicode-show/trunk (PKGBUILD)

Felix Yan felixonmars at archlinux.org
Sun Dec 22 20:07:23 UTC 2019


    Date: Sunday, December 22, 2019 @ 20:07:23
  Author: felixonmars
Revision: 538896

upgpkg: haskell-unicode-show 0.1.0.4-1: rebuild with unicode-show 0.1.0.4

Modified:
  haskell-unicode-show/trunk/PKGBUILD

----------+
 PKGBUILD |   16 +++++++++++-----
 1 file changed, 11 insertions(+), 5 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2019-12-22 19:56:01 UTC (rev 538895)
+++ PKGBUILD	2019-12-22 20:07:23 UTC (rev 538896)
@@ -3,22 +3,22 @@
 
 _hkgname=unicode-show
 pkgname=haskell-unicode-show
-pkgver=0.1.0.3
-pkgrel=6
+pkgver=0.1.0.4
+pkgrel=1
 pkgdesc="Print and show in unicode"
 url="https://github.com/nushio3/unicode-show#readme"
 license=("BSD")
 arch=('x86_64')
 depends=('ghc-libs')
-makedepends=('ghc')
+makedepends=('ghc' 'haskell-hspec' 'haskell-quickcheck')
 source=("https://hackage.haskell.org/packages/archive/${_hkgname}/${pkgver}/${_hkgname}-${pkgver}.tar.gz")
-sha512sums=('bf6ac293c2181b5e8b9b3330d59445f32b9523dbfbdda1969e2e432cab89682a70a6d601f803854f485925fa35cee0150fd12e58e33554ef3217c96173543b87')
+sha512sums=('25019cfc9d4c8eff6ef2ab772cec8a810e22ad1fd35f4119a53a9f2bbeb50c9e742a508815813134d8d5fa13dee3f1ddcc9f183b4a6958c748d6d82f35b98147')
 
 build() {
     cd $_hkgname-$pkgver
 
     runhaskell Setup configure -O --enable-shared --enable-executable-dynamic --disable-library-vanilla \
-        --prefix=/usr --docdir=/usr/share/doc/$pkgname \
+        --prefix=/usr --docdir=/usr/share/doc/$pkgname --enable-tests \
         --dynlibdir=/usr/lib --libsubdir=\$compiler/site-local/\$pkgid
     runhaskell Setup build
     runhaskell Setup register --gen-script
@@ -27,6 +27,12 @@
     sed -i -r -e "s|ghc-pkg.*unregister[^ ]* |&'--force' |" unregister.sh
 }
 
+check() {
+    cd $_hkgname-$pkgver
+    # https://github.com/nushio3/unicode-show/issues/2
+    runhaskell Setup test || warning "Tests failed"
+}
+
 package() {
     cd $_hkgname-$pkgver
 


More information about the arch-commits mailing list